Name:           nall
Version:        1.0
Release:        13%{?dist}
Summary:        A simple, non-intrusive, everything notifier in the system tray
Group:          Applications/System
License:        GPLv2+
URL:            http://herewe.servebeer.com/nall/
Source0:        http://herewe.servebeer.com/nall/releases/%{name}-%{version}.tar.gz
Patch0:         nall-1.0-libnotify.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libnotify-devel gtk2-devel intltool
BuildRequires:  desktop-file-utils

%description
Nall is a small gtk+ application that discretely fits into your freedesktop
system tray (such as trayer).

Its purpose is to spawn periodically every kind of script and display a
one-line output in the tooltip window. The main usage of nall is monitoring or
just notifying of almost everything (it just depends upon your imagination and
ability to script).

%prep
%setup -q
%patch0 -p1 -b libnotify

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/doc/%{name} _examples

find _examples/ -type f -exec chmod a-x {} \;

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS README AUTHORS
%doc _examples/examples
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.0-6
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 05 2010 Christian Krause <chkr@fedoraproject.org> - 1.0-4
- Rebuilt against new libnotify
- Added patch for libnotify API change

* Fri Apr 09 2010 Christian Krause <chkr@fedoraproject.org> - 1.0-3
- Use %%{_bindir}/%%{name} to specify packaged executable

* Thu Apr 08 2010 Christian Krause <chkr@fedoraproject.org> - 1.0-2
- Use desktop-file-validate and add appropriate BuildRequires
- Don't package standard INSTALL file
- Minor beautifications

* Wed Apr 07 2010 Christian Krause <chkr@fedoraproject.org> - 1.0-1
- Initial spec file

